searchNodes=[{"doc":"This is the Official Elixir client for Replicate . It lets you run models from your Elixir code, and do various other things on Replicate.","ref":"Replicate.html","title":"Replicate","type":"module"},{"doc":"Asynchronously run a prediction. You can also use Replicate.Predictions.create directly. Examples iex&gt; { :ok , prediction } = Replicate . async_run ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a 19th century portrait of a wombat gentleman&quot; ) iex&gt; prediction . status &quot;starting&quot;","ref":"Replicate.html#async_run/2","title":"Replicate.async_run/2","type":"function"},{"doc":"Synchronously run a prediction in the format owner/name:version. Returns the output. You can also use Replicate.Predictions.create and Replicate.Predictions.wait directly. Examples iex&gt; Replicate . run ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a 19th century portrait of a wombat gentleman&quot; ) [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ]","ref":"Replicate.html#run/2","title":"Replicate.run/2","type":"function"},{"doc":"Documentation for the Client","ref":"Replicate.Client.html","title":"Replicate.Client","type":"module"},{"doc":"Callback implementation for Replicate.Client.Behaviour.request/2 .","ref":"Replicate.Client.html#request/2","title":"Replicate.Client.request/2","type":"function"},{"doc":"Callback implementation for Replicate.Client.Behaviour.request/3 .","ref":"Replicate.Client.html#request/3","title":"Replicate.Client.request/3","type":"function"},{"doc":"Callback implementation for Replicate.Client.Behaviour.wait/1 .","ref":"Replicate.Client.html#wait/1","title":"Replicate.Client.wait/1","type":"function"},{"doc":"Documentation for the Client Behaviour","ref":"Replicate.Client.Behaviour.html","title":"Replicate.Client.Behaviour","type":"behaviour"},{"doc":"","ref":"Replicate.Client.Behaviour.html#c:request/2","title":"Replicate.Client.Behaviour.request/2","type":"callback"},{"doc":"","ref":"Replicate.Client.Behaviour.html#c:request/3","title":"Replicate.Client.Behaviour.request/3","type":"callback"},{"doc":"","ref":"Replicate.Client.Behaviour.html#c:wait/1","title":"Replicate.Client.Behaviour.wait/1","type":"callback"},{"doc":"A mock version of Replicate.Client . Only used for testing.","ref":"Replicate.MockClient.html","title":"Replicate.MockClient","type":"module"},{"doc":"","ref":"Replicate.MockClient.html#request/2","title":"Replicate.MockClient.request/2","type":"function"},{"doc":"","ref":"Replicate.MockClient.html#request/3","title":"Replicate.MockClient.request/3","type":"function"},{"doc":"","ref":"Replicate.MockClient.html#wait/1","title":"Replicate.MockClient.wait/1","type":"function"},{"doc":"Documentation for Models .","ref":"Replicate.Models.html","title":"Replicate.Models","type":"module"},{"doc":"Gets a model from a owner/name string. Raises an error if the model doesn't exist. Examples iex&gt; % Model { owner : owner , name : name } = Replicate.Models . get! ( &quot;replicate/hello-world&quot; ) iex&gt; owner &quot;replicate&quot; iex&gt; name &quot;hello-world&quot;","ref":"Replicate.Models.html#get!/1","title":"Replicate.Models.get!/1","type":"function"},{"doc":"Returns a list of all versions for a model. Examples iex&gt; model = Replicate.Models . get! ( &quot;replicate/hello-world&quot; ) iex&gt; versions = Replicate.Models . list_versions ( model ) iex&gt; % Replicate.Versions.Version { id : id , cog_version : cog_version } = List . first ( versions ) iex&gt; id &quot;v1&quot; iex&gt; cog_version &quot;0.3.0&quot;","ref":"Replicate.Models.html#list_versions/1","title":"Replicate.Models.list_versions/1","type":"function"},{"doc":"Documentation for the Model Behaviour","ref":"Replicate.Models.Behaviour.html","title":"Replicate.Models.Behaviour","type":"behaviour"},{"doc":"","ref":"Replicate.Models.Behaviour.html#c:get!/1","title":"Replicate.Models.Behaviour.get!/1","type":"callback"},{"doc":"","ref":"Replicate.Models.Behaviour.html#c:list_versions/1","title":"Replicate.Models.Behaviour.list_versions/1","type":"callback"},{"doc":"Model struct.","ref":"Replicate.Models.Model.html","title":"Replicate.Models.Model","type":"module"},{"doc":"Documentation for Predictions .","ref":"Replicate.Predictions.html","title":"Replicate.Predictions","type":"module"},{"doc":"Cancels a prediction by id. If a prediction is completed, it cannot be canceled. Examples iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( &quot;1234&quot; ) iex&gt; prediction . status &quot;canceled&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . create ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a 19th century portrait of a wombat gentleman&quot; ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . wait ( prediction ) iex&gt; prediction . status &quot;succeeded&quot; # iex&gt; {:ok, prediction} = Replicate.Predictions.cancel(prediction.id) # iex&gt; prediction.status # &quot;succeeded&quot;","ref":"Replicate.Predictions.html#cancel/1","title":"Replicate.Predictions.cancel/1","type":"function"},{"doc":"Creates a prediction. You can optionally provide a webhook to be notified when the prediction is completed. Examples iex&gt; { :ok , prediction } = Replicate.Predictions . create ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a 19th century portrait of a wombat gentleman&quot; ) iex&gt; prediction . status &quot;starting&quot;","ref":"Replicate.Predictions.html#create/5","title":"Replicate.Predictions.create/5","type":"function"},{"doc":"Gets a prediction by id. Examples iex&gt; { :ok , prediction } = Replicate.Predictions . get ( &quot;1234&quot; ) iex&gt; prediction . status &quot;succeeded&quot; iex&gt; Replicate.Predictions . get ( &quot;not_a_real_id&quot; ) { :error , &quot;Not found&quot; }","ref":"Replicate.Predictions.html#get/1","title":"Replicate.Predictions.get/1","type":"function"},{"doc":"Gets a prediction by id and fails if it doesn't exist. ## Examples iex&gt; prediction = Replicate.Predictions . get! ( &quot;1234&quot; ) iex&gt; prediction . id &quot;1234&quot; iex&gt; Replicate.Predictions . get! ( &quot;not_a_real_id&quot; ) ** (RuntimeError) Not found","ref":"Replicate.Predictions.html#get!/1","title":"Replicate.Predictions.get!/1","type":"function"},{"doc":"Waits for a prediction to complete. Examples iex&gt; { :ok , prediction } = Replicate.Predictions . create ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a 19th century portrait of a wombat gentleman&quot; ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . wait ( prediction ) iex&gt; prediction . status &quot;succeeded&quot;","ref":"Replicate.Predictions.html#wait/1","title":"Replicate.Predictions.wait/1","type":"function"},{"doc":"Documentation for the Predictions Behaviour","ref":"Replicate.Predictions.Behaviour.html","title":"Replicate.Predictions.Behaviour","type":"behaviour"},{"doc":"","ref":"Replicate.Predictions.Behaviour.html#c:cancel/1","title":"Replicate.Predictions.Behaviour.cancel/1","type":"callback"},{"doc":"","ref":"Replicate.Predictions.Behaviour.html#c:create/5","title":"Replicate.Predictions.Behaviour.create/5","type":"callback"},{"doc":"","ref":"Replicate.Predictions.Behaviour.html#c:get/1","title":"Replicate.Predictions.Behaviour.get/1","type":"callback"},{"doc":"","ref":"Replicate.Predictions.Behaviour.html#c:get!/1","title":"Replicate.Predictions.Behaviour.get!/1","type":"callback"},{"doc":"Prediction struct.","ref":"Replicate.Predictions.Prediction.html","title":"Replicate.Predictions.Prediction","type":"module"},{"doc":"","ref":"Replicate.Versions.html","title":"Replicate.Versions","type":"module"},{"doc":"Version behaviour. list() returns all version of a model.","ref":"Replicate.Versions.Behaviour.html","title":"Replicate.Versions.Behaviour","type":"behaviour"},{"doc":"","ref":"Replicate.Versions.Behaviour.html#c:list/0","title":"Replicate.Versions.Behaviour.list/0","type":"callback"},{"doc":"Version struct.","ref":"Replicate.Versions.Version.html","title":"Replicate.Versions.Version","type":"module"}]